/[gentoo-x86]/dev-lang/ruby/ChangeLog
Gentoo

Diff of /dev-lang/ruby/ChangeLog

Parent Directory Parent Directory | Revision Log Revision Log | View Patch Patch

Revision 1.285 Revision 1.505
1# ChangeLog for dev-lang/ruby 1# ChangeLog for dev-lang/ruby
2# Copyright 2002-2007 Gentoo Foundation; Distributed under the GPL v2 2# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.285 2007/06/20 14:17:14 rbrown Exp $ 3# $Header: /var/cvsroot/gentoo-x86/dev-lang/ruby/ChangeLog,v 1.505 2011/10/09 09:01:06 graaff Exp $
4
5 09 Oct 2011; Hans de Graaff <graaff@gentoo.org> -ruby-1.9.2-r1.ebuild:
6 Remove vulnerable version, bug 386369.
7
8*ruby-1.8.7_p352 (30 Aug 2011)
9
10 30 Aug 2011; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p334.ebuild,
11 +ruby-1.8.7_p352.ebuild:
12 Patchlevel bump for ruby:1.8. Removing old version
13
14*ruby-1.9.2_p290 (30 Aug 2011)
15
16 30 Aug 2011; Alex Legler <a3li@gentoo.org> -ruby-1.9.2_rc2-r1.ebuild,
17 -ruby-1.9.2.ebuild, +ruby-1.9.2_p290.ebuild:
18 Patchlevel bump. Thanks to Shota Fukumori for proposing an ebuild. Removing
19 old patchlevels.
20
21 10 Aug 2011; Kacper Kowalik <xarthisius@gentoo.org>
22 ruby-1.8.7_p334-r2.ebuild:
23 ppc/ppc64 stable wrt #378691
24
25*ruby-1.8.7_p334-r2 (22 Jul 2011)
26
27 22 Jul 2011; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.7_p334-r2.ebuild:
28 Add patch to fix threading bug on ppc64, bug 375075. Thanks to Kacper Kowalik
29 for chasing down upstream and us.
30
31 15 Jul 2011; Matt Turner <mattst88@gentoo.org> ruby-1.9.2-r1.ebuild:
32 Added ~mips, bug 332593
33
34 07 Jun 2011; Kacper Kowalik <xarthisius@gentoo.org>
35 ruby-1.8.7_p334-r1.ebuild:
36 ppc64 stable wrt #369141
37
38 03 Jun 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
39 ia64/s390/sh/sparc stable wrt #369141
40
41 03 Jun 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
42 Stable for HPPA (bug #369141).
43
44 03 Jun 2011; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
45 Marking ruby-1.8.7_p334-r1 ppc for bug 369141
46
47 02 Jun 2011; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
48 arm/x86 stable, bug #369141
49
50 01 Jun 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334-r1.ebuild:
51 Stable on amd64 wrt bug #369141
52
53 01 Jun 2011; Tobias Klausmann <klausman@gentoo.org>
54 ruby-1.8.7_p334-r1.ebuild:
55 Stable on alpha, bug #369141
56
57*ruby-1.8.7_p334-r1 (31 May 2011)
58
59 31 May 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334-r1.ebuild:
60 Revision bump for security bug 369141 (CVE-2011-0188)
61
62*ruby-1.9.2-r1 (16 May 2011)
63
64 16 May 2011; Hans de Graaff <graaff@gentoo.org> +ruby-1.9.2-r1.ebuild:
65 Don't remove racc files since all other ruby targets ship these files
66 themselves as well. Closes bug 363419.
67
68 13 Mar 2011; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p302.ebuild,
69 ruby-1.8.7_p334.ebuild:
70 Remove old version. Remove obsolete and unused old-style virtual/ruby.
71
72 07 Mar 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.9.2.ebuild:
73 Add ~alpha/~arm/~ia64/~s390/~sh/~sparc wrt #332593
74
75 07 Mar 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.9.2.ebuild:
76 Add append-flags -mieee on sh, bug #357559
77
78 26 Feb 2011; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p334.ebuild:
79 alpha/arm/ia64/s390/sh stable wrt #355439
80
81 26 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org> ruby-1.9.2.ebuild:
82 Marked ~ppc64 wrt #332593
83
84 20 Feb 2011; Pawel Hajdan jr <phajdan.jr@gentoo.org>
85 ruby-1.8.7_p334.ebuild:
86 x86 stable wrt security bug #355439
87
88 20 Feb 2011; Kacper Kowalik <xarthisius@gentoo.org>
89 ruby-1.8.7_p334.ebuild:
90 ppc/ppc64 stable wrt #355439
91
92 19 Feb 2011; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p334.ebuild:
93 Stable on amd64 wrt bug #355439
94
95 19 Feb 2011; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p334.ebuild:
96 Stable for HPPA (bug #355439).
97
98*ruby-1.8.7_p334 (19 Feb 2011)
99
100 19 Feb 2011; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p334.ebuild:
101 Version bump 1.8.7 series, security bug 355439
102
103 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> ruby-1.9.2_rc2-r1.ebuild,
104 ruby-1.9.2.ebuild:
105 Remove PROVIDE for old-style virtual/ruby per bug 265054.
106
107 31 Dec 2010; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p399.ebuild:
108 Remove masked ruby 1.8.6 per bug 332597.
109
110 07 Sep 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p249.ebuild,
111 -ruby-1.9.2_rc2.ebuild:
112 Removing old and vulnerable ebuilds
113
114 06 Sep 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p302.ebuild:
115 Marking ruby-1.8.7_p302 ppc64 for bug 332957
116
117 28 Aug 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p302.ebuild:
118 alpha/ia64/s390/sh/sparc stable wrt #332957
119
120*ruby-1.9.2 (24 Aug 2010)
121
122 24 Aug 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.2.ebuild,
123 metadata.xml:
124 Version bump. Fixes rdoc handling wrt bug 333897 by Park Ji-in. Drop hppa
125 and x86-fbsd due to a new dependency on rdoc.
126
127 23 Aug 2010; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p302.ebuild:
128 arm stable, bug #332957
129
130 21 Aug 2010; Pawel Hajdan jr <phajdan.jr@gentoo.org>
131 ruby-1.8.7_p302.ebuild:
132 x86 stable wrt security bug #332957
133
134 21 Aug 2010; Markos Chandras <hwoarang@gentoo.org> ruby-1.8.7_p302.ebuild:
135 Stable on amd64 wrt bug #332957
136
137 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
138 Stable for PPC (bug #332957).
139
140 21 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p302.ebuild:
141 Stable for HPPA (bug #332957).
142
143*ruby-1.8.7_p302 (21 Aug 2010)
144
145 21 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p299.ebuild,
146 +ruby-1.8.7_p302.ebuild:
147 Revision bump to 1.8.7_p302 for security bug 332957. Fix rubytests
148 installation path.
149
150*ruby-1.8.6_p399 (19 Aug 2010)
151
152 19 Aug 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p388.ebuild,
153 -ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.6_p399.ebuild:
154 Last patchlevel bump for Ruby 1.8.6 to 399, fixes CVE-2010-0541 (bug
155 332957). Also restrict Tk and OpenSSL dependencies and fix rubytests
156 installation path (reported by the x86 team in bug 332597)
157
158*ruby-1.9.2_rc2-r1 (18 Aug 2010)
159
160 18 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
161 +ruby-1.9.2_rc2-r1.ebuild, metadata.xml:
162 Update ebuild; apply webrick security patch; unbundle minitest, rdoc 2 and
163 the rubygems loading code. Add USE flag for psych.
164
165 17 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
166 ruby-1.9.2_rc2.ebuild:
167 Remove two keepdir that will try to keep an empty path, closes bug
168 #333163.
169
170 16 Aug 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.9.2_rc2.ebuild:
171 Marked ~ppc (bug #332593).
172
173 15 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
174 ruby-1.9.2_rc2.ebuild:
175 Remove libedit USE flag from 1.9.2 because of upstream bug #3698.
176
177 13 Aug 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
178 ruby-1.8.7_p299.ebuild:
179 Bump eselect-ruby dependency
180
181 13 Aug 2010; Diego E. Pettenò <flameeyes@gentoo.org>
182 -ruby-1.9.1_p429.ebuild:
183 Remove ebuild that is not target for unmask anyway.
184
185 21 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
186 ruby-1.9.2_rc2.ebuild:
187 Try 2 to fix the berkdb 5 issue on 1.9.
188
189 20 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
190 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p299.ebuild, ruby-1.9.1_p429.ebuild,
191 ruby-1.9.2_rc2.ebuild:
192 Add a new patchset to add support for Berkeley DB 5.0 (bug #326937). Add
193 support for adding new patchsets without bumping the revision for all the
194 old ebuilds as well.
195
196*ruby-1.9.2_rc2 (14 Jul 2010)
197
198 14 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
199 +ruby-1.9.2_rc2.ebuild:
200 Bump to 1.9.2 release candidate, that works with OpenSSL 1. This version
201 might cause _further_ build failures as it changed slightly behaviour.
202 You're going to need to rebuild rubygems and then all the packages
203 previously installed after upgrading to this.
204
205 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
206 -ruby-1.8.7_p249-r1.ebuild, -ruby-1.8.7_p249-r2.ebuild,
207 -ruby-1.9.1_p376.ebuild:
208 Cleanup old versions.
209
210*ruby-1.9.1_p429 (04 Jul 2010)
211
212 04 Jul 2010; Diego E. Pettenò <flameeyes@gentoo.org>
213 +ruby-1.9.1_p429.ebuild:
214 Version bump to new 1.9.1 release.
215
216*ruby-1.8.7_p299 (23 Jun 2010)
217
218 23 Jun 2010; Diego E. Pettenò <flameeyes@gentoo.org>
219 +ruby-1.8.7_p299.ebuild:
220 Version bump.
221
222 19 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388-r1.ebuild,
223 ruby-1.8.7_p249-r2.ebuild, ruby-1.9.1_p376.ebuild:
224 remove useless comments
225
226 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
227 ruby-1.8.6_p388-r1.ebuild, ruby-1.8.7_p249-r2.ebuild,
228 ruby-1.9.1_p376.ebuild:
229 Update ebuilds to be consistent with ruby-enterprise; patches are moved to
230 dev.gentoo.org now.
231
232 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
233 ruby-1.9.1_p376.ebuild:
234 Use the correct RUBYLIB.
235
236*ruby-1.8.7_p249-r2 (18 May 2010)
237*ruby-1.8.6_p388-r1 (18 May 2010)
238
239 18 May 2010; Diego E. Pettenò <flameeyes@gentoo.org>
240 +ruby-1.8.6_p388-r1.ebuild, +ruby-1.8.7_p249-r2.ebuild,
241 ruby-1.9.1_p376.ebuild, metadata.xml:
242 Add patches to build with BerkDB 5.0 (bug #319583) and OpenSSL 1.0 (bug
243 #304427) to Ruby 1.8.x. Also use --no-undefined as it's done for 1.9. Also
244 add USE flags for ncurses, readline and libedit, and properly depend on
245 zlib. Drop emacs USE flag and dependency on app-emacs/ruby-mode as the new
246 Emacs versions support ruby-mode themselves and it should be even more
247 updated.
248
249*ruby-1.8.7_p249-r1 (06 May 2010)
250
251 06 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p249-r1.ebuild:
252 Revbump 1.8.7 to add patch for threading/timeout-related hangs. Closes bug
253 309789 by Sune Kloppenborg Jeppesen.
254
255 06 May 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
256 ruby-1.8.7_p249.ebuild:
257 Use $PVR instead of $PV in patchset names
258
259 06 May 2010; Alex Legler <a3li@gentoo.org>
260 -files/ruby-1.8.6-memory-leak.diff,
261 -files/ruby18-mkmf-parallel-install.patch,
262 -files/ruby-1.8.6-uclibc-udp.patch, -ruby-1.9.1_p243.ebuild,
263 -files/auto_gem.rb, -files/ruby-mkconfig.patch:
264 Remove old version. Cleanup in files/
265
266*ruby-1.9.1_p376 (01 May 2010)
267
268 01 May 2010; Alex Legler <a3li@gentoo.org> +ruby-1.9.1_p376.ebuild:
269 Version bump. Fixes security bugs 296052 and 300468. No longer installs
270 rubygems or auto_gem.rb. Use dev-ruby/rubygems[ruby_targets_ruby19]
271 instead.
272
273 13 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p369.ebuild,
274 -ruby-1.8.7_p174-r1.ebuild:
275 Remove vulnerable ebuilds, 300468
276
277 13 Jan 2010; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p388.ebuild,
278 ruby-1.8.7_p249.ebuild:
279 amd64 stable, security bug 300468
280
281 13 Jan 2010; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p388.ebuild,
282 ruby-1.8.7_p249.ebuild:
283 alpha/arm/ia64/s390/sh/sparc stable wrt #300468
284
285 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p249.ebuild:
286 Stable for HPPA (bug #300468).
287
288 12 Jan 2010; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p388.ebuild:
289 Stable for HPPA (bug #300468).
290
291 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p249.ebuild:
292 Marking ruby-1.8.7_p249 ppc64 and ppc for bug 300468
293
294 11 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p388.ebuild:
295 Marking ruby-1.8.6_p388 ppc64 and ppc for bug 300468
296
297 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
298 ruby-1.8.6_p388.ebuild:
299 stable x86, security bug 300468
300
301 11 Jan 2010; Christian Faulhammer <fauli@gentoo.org>
302 ruby-1.8.7_p249.ebuild:
303 stable x86, security bug 300468
304
305*ruby-1.8.6_p388 (10 Jan 2010)
306
307 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p383.ebuild,
308 +ruby-1.8.6_p388.ebuild:
309 Version bump (1.8.6), security bug 300468. Remove unneded vulnerable
310 version. The new ebuild also has the fix for bug 168939.
311
312*ruby-1.8.7_p249 (10 Jan 2010)
313
314 10 Jan 2010; Alex Legler <a3li@gentoo.org> -ruby-1.8.7_p248.ebuild,
315 +ruby-1.8.7_p249.ebuild:
316 Version bump (1.8.7) for security bug 300468, removing unneeded vulnerable
317 version
318
319 02 Jan 2010; Brent Baude <ranger@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
320 Marking ruby-1.8.7_p174-r1 ppc64 for bug 288699
321
322*ruby-1.8.7_p248 (25 Dec 2009)
323
324 25 Dec 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p248.ebuild:
325 Version bump
326
327 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
328 Remove old version.
329
330 18 Dec 2009; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.7_p174.ebuild:
331 Remove old version.
332
333 15 Dec 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
334 ia64/s390/sh stable wrt #288699
335
336 11 Nov 2009; Tiago Cunha <tcunha@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
337 stable sparc, bug 288699
338
339 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
340 arm stable, bug #288699
341
342 25 Oct 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
343 amd64/x86 stable, bug #288699
344
345 24 Oct 2009; Tobias Klausmann <klausman@gentoo.org>
346 ruby-1.8.7_p174-r1.ebuild:
347 Stable on alpha, bug #288699
348
349 24 Oct 2009; nixnut <nixnut@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
350 ppc stable #288699
351
352 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.7_p174-r1.ebuild:
353 Stable for HPPA (bug #288699).
354
355 12 Oct 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.9.1_p243.ebuild:
356 Marked ~hppa too.
357
358*ruby-1.8.7_p174-r1 (06 Oct 2009)
359
360 06 Oct 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.7_p174-r1.ebuild:
361 Revision bump. Added fix for bug 168939 (ipv6), now uses the new
362 eselect-ruby cleanup feature.
363
364*ruby-1.9.1_p243 (09 Sep 2009)
365
366 09 Sep 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1_p129.ebuild,
367 -ruby-1.9.1_p129-r1.ebuild, +ruby-1.9.1_p243.ebuild,
368 -files/ruby-1.9.1_p129-gfbsd7.patch, -files/ruby19-rubygems-gentoo.patch,
369 -files/ruby-1.9.1_p129-no-undefined-ext.patch,
370 -files/ruby19-rubygems-proxy.patch,
371 -files/ruby-1.9.1_p129-parallelmake.patch,
372 -files/ruby19-mkmf-parallel-install.patch:
373 Version bump. Fixing bugs 278899 by Daniel Robbins, 279825, 277210 and
374 168939. Cleaning up old patches.
375
376*ruby-1.8.6_p383 (20 Aug 2009)
377
378 20 Aug 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p383.ebuild:
379 Patchlevel bump.
380
381 31 Jul 2009; Samuli Suominen <ssuominen@gentoo.org>
382 ruby-1.8.6_p369.ebuild, ruby-1.8.7_p174.ebuild, ruby-1.9.1_p129.ebuild,
383 ruby-1.9.1_p129-r1.ebuild:
384 Move USE defaults berkdb and gdbm from profiles/base/package.use to here.
385
386 28 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p368.ebuild:
387 Removing vulnerable ebuild, bug 273213.
388
389 21 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
390 Marking ruby-1.8.6_p369 ppc for bug 273213
391
392 20 Jun 2009; Diego E. Pettenò <flameeyes@gentoo.org>
393 ruby-1.9.1_p129-r1.ebuild:
394 Prepend our library path instead of overwriting it during src_install.
395 Thanks to the reporter of bug #274824.
396
397*ruby-1.8.7_p174 (18 Jun 2009)
398
399 18 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild,
400 -ruby-1.8.7_p173.ebuild, +ruby-1.8.7_p174.ebuild:
401 Replacing 187_p173 with _p174 because of a regression. Unifying the
402 ebuilds by adding unset RUBYOPT to the 186 ebuild. Migrated 187_p174 to
403 patchsets.
404
405 17 Jun 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p369.ebuild:
406 Marking ruby-1.8.6_p369 ppc64 for bug 273213
407
408 16 Jun 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p369.ebuild:
409 arm/ia64/s390/sh/sparc stable wrt #273213
410
411 16 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild,
412 ruby-1.8.6_p369.ebuild, -ruby-1.8.7_p160.ebuild:
413 Removing old version, minor cleanup
414
415 14 Jun 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p114.ebuild,
416 -files/ruby-1.8.6-openssl.patch,
417 -files/ruby-1.8.6-shortname_constants.patch,
418 -files/ruby-1.8.6_p111-r13657.patch,
419 -files/ruby-1.8.6_p287-entity_expansion_limit.diff:
420 Removing vulnerable old Ruby version and stale patches, bug 274108.
421
422 11 Jun 2009; Tobias Klausmann <klausman@gentoo.org>
423 ruby-1.8.6_p369.ebuild:
424 Stable on alpha, bug #273213
425
426 10 Jun 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p369.ebuild:
427 Stable for HPPA (bug #273213).
428
429 10 Jun 2009; Christian Faulhammer <fauli@gentoo.org>
430 ruby-1.8.6_p369.ebuild:
431 stable x86, security bug 273213
432
433 10 Jun 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p369.ebuild:
434 amd64 stable, security bug 273213.
435
436*ruby-1.8.7_p173 (10 Jun 2009)
437*ruby-1.8.6_p369 (10 Jun 2009)
438
439 10 Jun 2009; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p369.ebuild,
440 +ruby-1.8.7_p173.ebuild:
441 Version bumps for bug #273213.
442
443*ruby-1.9.1_p129-r1 (27 May 2009)
444
445 27 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
446 +ruby-1.9.1_p129-r1.ebuild, +files/ruby-1.9.1_p129-gfbsd7.patch,
447 +files/ruby-1.9.1_p129-no-undefined-ext.patch,
448 +files/ruby-1.9.1_p129-parallelmake.patch:
449 Revision bump, add patches 1) to make Ruby behave more similarly between
450 Linux and (Gentoo/)FreeBSD; 2) to force --no-undefined when building Ruby
451 extensions (undefined symbols in them will cause abort at runtime 3) to
452 remove a concurrency issue when building the dl extension that could
453 result in a broken dl.so.
454
455 24 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
456 ruby-1.8.7_p160.ebuild, ruby-1.9.1_p129.ebuild:
457 Don't block rdoc-2 or later (which may enter Portage one day as it's
458 needed by some Rakefiles).
459
460 15 May 2009; Diego E. Pettenò <flameeyes@gentoo.org>
461 ruby-1.9.1_p129.ebuild:
462 Add ~x86-fbsd keyword.
463
464 15 May 2009; Alexis Ballier <aballier@gentoo.org> ruby-1.8.7_p160.ebuild:
465 keyword ~sparc-fbsd, bug #252315
466
467*ruby-1.9.1_p129 (15 May 2009)
468
469 15 May 2009; Alex Legler <a3li@gentoo.org> -ruby-1.9.1-r1.ebuild,
470 +ruby-1.9.1_p129.ebuild, -files/ruby-ossl_ocsp-verification.patch:
471 Patchlevel bump, closes bug 267453. Removing OSCP verification patch, now
472 included in every release.
473
474 10 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p114.ebuild,
475 -ruby-1.8.6_p287-r5.ebuild, -ruby-1.8.6_p287-r13.ebuild,
476 ruby-1.8.6_p368.ebuild, -ruby-1.8.7_p72-r11.ebuild,
477 ruby-1.8.7_p160.ebuild:
478 Removing vulnerable versions (#268515), fixing license (#233747).
479
480 09 May 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p368.ebuild:
481 Stable for HPPA (bug #268515).
482
483 09 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.9.1-r1.ebuild:
484 Adapting rubygems notice.
485
486 08 May 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p368.ebuild:
487 amd64 stable, bug #268515.
488
489 08 May 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p368.ebuild:
490 arm/ia64/s390/sh/sparc stable wrt #268515
491
492 07 May 2009; Christian Faulhammer <fauli@gentoo.org>
493 ruby-1.8.6_p368.ebuild:
494 stable x86, security bug 268515
495
496 07 May 2009; Tobias Klausmann <klausman@gentoo.org>
497 ruby-1.8.6_p368.ebuild:
498 Stable on alpha, bug #268515
499
500 07 May 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p368.ebuild:
501 Marking ruby-1.8.6_p368 ppc64 and ppc for bug 268515
502
503*ruby-1.8.7_p160 (07 May 2009)
504*ruby-1.8.6_p368 (07 May 2009)
505
506 07 May 2009; Alex Legler <a3li@gentoo.org> +ruby-1.8.6_p368.ebuild,
507 +ruby-1.8.7_p160.ebuild:
508 Version bump as per secbug 268515. NB: These are the first ebuilds that
509 no longer use ruby-config.
510
511*ruby-1.9.1-r1 (03 Apr 2009)
512*ruby-1.8.7_p72-r11 (03 Apr 2009)
513*ruby-1.8.6_p287-r13 (03 Apr 2009)
514
515 03 Apr 2009; Alex Legler <a3li@gentoo.org>
516 +files/ruby-1.8.6-uclibc-udp.patch, +files/auto_gem.rb,
517 +files/ruby18-mkmf-parallel-install.patch,
518 +files/ruby19-mkmf-parallel-install.patch, -ruby-1.8.6_p287-r12.ebuild,
519 +ruby-1.8.6_p287-r13.ebuild, -ruby-1.8.7_p72-r10.ebuild,
520 +ruby-1.8.7_p72-r11.ebuild, -ruby-1.9.1.ebuild, +ruby-1.9.1-r1.ebuild:
521 Revbumps fixing bugs 239101 (thanks to matsuu) and 260760 (thanks to Tom
522 Lloyd), ruby-1.9.1 is now EAPI-2. Removing old versions. Adding fake
523 auto_gem.rb for Ruby 1.9.1. Removing redundant WANT_AUTO* to make repoman
524 happy.
525
526*ruby-1.9.1 (21 Mar 2009)
527
528 21 Mar 2009; Alex Legler <a3li@gentoo.org>
529 +files/ruby19-rubygems-gentoo.patch, +files/ruby19-rubygems-proxy.patch,
530 +ruby-1.9.1.ebuild:
531 Adding Ruby 1.9.1 for preliminary testing
532
533 20 Mar 2009; Joseph Jezak <josejx@gentoo.org> ruby-1.8.7_p72-r10.ebuild,
534 ruby-1.8.6_p287-r12.ebuild:
535 Marked ~ppc for bug #252315.
536
537 10 Mar 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.7_p72-r10.ebuild:
538 Unsetting RUBYOPT in src_install, backport from Ruby 1.9 ebuilds, fixes
539 bug 261982.
540
541 09 Mar 2009; Alex Legler <a3li@gentoo.org> -ruby-1.8.6_p287-r1.ebuild,
542 -ruby-1.8.6_p287-r3.ebuild, -ruby-1.8.6_p287-r4.ebuild,
543 -ruby-1.8.6_p287-r10.ebuild, -ruby-1.8.6_p287-r11.ebuild,
544 -ruby-1.8.7_p72-r1.ebuild, -ruby-1.8.7_p72-r2.ebuild:
545 Cleanup
546
547*ruby-1.8.7_p72-r10 (07 Mar 2009)
548
549 07 Mar 2009; Diego E. Pettenò <flameeyes@gentoo.org>
550 +ruby-1.8.7_p72-r10.ebuild:
551 Add a revision of ruby 1.8.7 using eselect ruby.
552
553 03 Mar 2009; Peter Volkov <pva@gentoo.org> ruby-1.8.6_p287-r12.ebuild:
554 ~mips keyworded, bug #252315.
555
556 25 Feb 2009; Tobias Scherbaum <dertobi123@gentoo.org>
557 ruby-1.8.6_p287-r5.ebuild:
558 ppc stable, bug #260006
559
560 25 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
561 arm/ia64/s390/sh/sparc/x86 stable wrt #260006
562
563 24 Feb 2009; Alex Legler <a3li@gentoo.org> ruby-1.8.6_p287-r5.ebuild,
564 ruby-1.8.6_p287-r12.ebuild, ruby-1.8.7_p72-r2.ebuild:
565 Fixing Tk USE flag test, bug 258893.
566
567 23 Feb 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
568 Marking ruby-1.8.6_p287-r5 ppc64 for bug 260006
569
570 23 Feb 2009; Tobias Heinlein <keytoaster@gentoo.org>
571 ruby-1.8.6_p287-r5.ebuild:
572 amd64 stable wrt security bug #260006
573
574 23 Feb 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r5.ebuild:
575 Stable for HPPA (bug #260006).
576
577 23 Feb 2009; Tobias Klausmann <klausman@gentoo.org>
578 ruby-1.8.6_p287-r5.ebuild:
579 Stable on alpha, bug #260006
580
581*ruby-1.8.7_p72-r2 (23 Feb 2009)
582*ruby-1.8.6_p287-r12 (23 Feb 2009)
583*ruby-1.8.6_p287-r5 (23 Feb 2009)
584
585 23 Feb 2009; Alex Legler <a3li@gentoo.org> +files/ruby-mkconfig.patch,
586 +files/ruby-ossl_ocsp-verification.patch, +ruby-1.8.6_p287-r5.ebuild,
587 +ruby-1.8.6_p287-r12.ebuild, +ruby-1.8.7_p72-r2.ebuild:
588 Revision bumps for security bug 260006 (X.509 certificate spoofing). Also
589 fixing bugs 234877 (backported patch for mkconfig), 258893 (ebuild dies
590 now before compilation if Tk useflags don't match) and 230748 (adding
591 --enable-option-checking=no for newer versions of autoconf).
592
593 10 Feb 2009; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
594 arm/ia64/s390/sh/sparc stable wrt #254307
595
596 25 Jan 2009; Tobias Klausmann <klausman@gentoo.org>
597 ruby-1.8.6_p287-r4.ebuild:
598 Stable on alpha, bug #254307
599
600 20 Jan 2009; Alexis Ballier <aballier@gentoo.org>
601 ruby-1.8.6_p287-r11.ebuild:
602 keyword ~x86-fbsd, bug #252315
603
604 17 Jan 2009; nixnut <nixnut@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
605 ppc stable #254307
606
607 15 Jan 2009; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
608 amd64/x86 stable, bug #254307
609
610 14 Jan 2009; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
611 stable ppc64, bug 254307
612
613 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r4.ebuild:
614 Stable for HPPA (bug #254307).
615
616 14 Jan 2009; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r10.ebuild,
617 ruby-1.8.6_p287-r11.ebuild:
618 Marked ~hppa (bug #252315).
619
620*ruby-1.8.6_p287-r11 (11 Jan 2009)
621
622 11 Jan 2009; Hans de Graaff <graaff@gentoo.org>
623 +files/ruby-1.8.6-openssl.patch, +ruby-1.8.7_p287-r4,
624 +ruby-1.8.6_p287-r11.ebuild:
625 Backport conditional definition of missing openssl functions from ruby 1.8.7.
626 Fixes #254307.
627
628 29 Dec 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
629 Marking ruby-1.8.6_p287-r10 ~ppc64 for bug 252315
630
631 26 Dec 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r10.ebuild:
632 Add ~alpha/~arm/~ia64/~s390/~sh wrt #251159
633
634 24 Dec 2008; Friedrich Oslage <bluebird@gentoo.org>
635 ruby-1.8.6_p287-r10.ebuild:
636 Add ~sparc keyword, bug #252315
637
638*ruby-1.8.6_p287-r10 (23 Dec 2008)
639
640 23 Dec 2008; Hans de Graaff <graaff@gentoo.org>
641 +ruby-1.8.6_p287-r10.ebuild:
642 Version bump which switches from ruby-config to eselect-ruby. Dropped most
643 keywords since eselect-ruby does not yet have these keywords.
644
645 23 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
646 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
647 Revert the ruby-config changes. We can't remove them until we provide an
648 alternative outside the ebuilds, and eselect-ruby isn't stable yet. Apologies
649 for breaking things as mentioned in bug #251833.
650
651 22 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
652 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
653 ruby-1.8.7_p72-r1.ebuild:
654 Remove pkg_postinst and pkg_postrm functions now that ruby-config is gone.
655 Thanks for the people noticing this in bug #251833.
656
657 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
658 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild,
659 ruby-1.8.7_p72-r1.ebuild:
660 Drop dependency on ruby-config, which will be removed from the tree. We
661 currently only have one major version of ruby in the tree (Ruby 1.8), so there
662 is no need for ruby-config at this moment. For newer versions of Ruby we will
663 use eselect-ruby, which can be found in the ruby overlay at the moment.
664
665 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p114.ebuild,
666 ruby-1.8.6_p287-r1.ebuild, ruby-1.8.6_p287-r3.ebuild:
667 Use mirror://ruby in SRC_URI, fixes #237392.
668
669 21 Dec 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p111.ebuild,
670 -ruby-1.8.6_p111-r1.ebuild, -ruby-1.8.6_p287-r2.ebuild,
671 -ruby-1.8.7_p72.ebuild:
672 Remove old versions. Leave one old stable version with cjk support.
673
674*ruby-1.8.6_p287-r3 (29 Nov 2008)
675
676 29 Nov 2008; Hans de Graaff <graaff@gentoo.org>
677 files/ruby-1.8.6_p287-entity_expansion_limit.diff,
678 +ruby-1.8.6_p287-r3.ebuild:
679 Fix our expansion limit patch according to debian bug report
680 http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=502535 and bump the ebuild to
681 make sure people will pick up the fixed version. Thanks to Alex Legler for
682 mentioning the patch.
683
684*ruby-1.8.7_p72-r1 (26 Nov 2008)
685*ruby-1.8.6_p287-r2 (26 Nov 2008)
686
687 26 Nov 2008; Hans de Graaff <graaff@gentoo.org>
688 +files/ruby-1.8.6-shortname_constants.patch, +ruby-1.8.6_p287-r2.ebuild,
689 +ruby-1.8.7_p72-r1.ebuild:
690 Fix problem with shortname constants #247790, already fixed in upstream SVN.
691 Thanks to Alex Legler for providing the patch.
692
693 26 Nov 2008; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.6_p286.ebuild,
694 -ruby-1.8.6_p287.ebuild:
695 Remove versions that will not become stable
696
697 16 Sep 2008; Tobias Scherbaum <dertobi123@gentoo.org>
698 ruby-1.8.6_p287-r1.ebuild:
699 ppc stable, bug #225465
700
701 11 Sep 2008; Tobias Heinlein <keytoaster@gentoo.org>
702 ruby-1.8.6_p287-r1.ebuild:
703 amd64 stable wrt security bug #225465
704
705 11 Sep 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
706 alpha/ia64/x86 stable wrt #225465
707
708 11 Sep 2008; Ferris McCormick <fmccor@gentoo.org>
709 ruby-1.8.6_p287-r1.ebuild:
710 Sparc stable --- Security Bug #225465 --- good since late August.
711
712 11 Sep 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
713 Stable on ppc64; bug #225465
714
715 11 Sep 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p287-r1.ebuild:
716 Stable for HPPA (bug #225465).
717
718*ruby-1.8.6_p287-r1 (29 Aug 2008)
719
720 29 Aug 2008; Hans de Graaff <graaff@gentoo.org>
721 +files/ruby-1.8.6_p287-entity_expansion_limit.diff,
722 +ruby-1.8.6_p287-r1.ebuild:
723 Fix REXML security issues, bug #236060.
724
725 23 Aug 2008; Jeroen Roovers <jer@gentoo.org> metadata.xml:
726 Add GLEP 56 USE flag descriptions.
727
728*ruby-1.8.7_p72 (15 Aug 2008)
729
730 15 Aug 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_p22.ebuild,
731 +ruby-1.8.7_p72.ebuild:
732 bump 1.8.7 to latest patch release
733
734*ruby-1.8.6_p287 (11 Aug 2008)
735
736 11 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p287.ebuild:
737 Version bump for brown paper bag relelease.
738
739 10 Aug 2008; Hans de Graaff <graaff@gentoo.org>
740 -files/ruby-1.8.6-revert-r15856.patch, -ruby-1.8.6_p230.ebuild:
741 Remove broken version in favor of the just-added 1.8.6_p286
742
743*ruby-1.8.6_p286 (10 Aug 2008)
744
745 10 Aug 2008; Hans de Graaff <graaff@gentoo.org> +ruby-1.8.6_p286.ebuild:
746 Version bump to latest released version of ruby 1.8.6. This version fixes the
747 security issues reported in #225465 and #234224. The cjk USE flag has been
748 dropped since no compatible patches have been released yet.
749
750 25 Jul 2008; Michael Sterrett <mr_bones_@gentoo.org>
751 ruby-1.8.6_p230.ebuild:
752 drop cjk from SRC_URI as well
753
754 15 Jul 2008; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p230.ebuild:
755 Drop cjk support since the most recent oniguruma patches no longer apply to
756 this version, #230111.
757
758 29 Jun 2008; Hans de Graaff <graaff@gentoo.org>
759 +files/ruby-1.8.6-revert-r15856.patch, +ruby-1.8.6_p230.ebuild:
760 Try to fix the security issues reported in #225465 for ruby 1.8.6.
761 Unfortunately the official p230 has a change which causes segmentation faults
762 for applications like Rails and RSpec, so we are reverting that specific
763 change.
764
765*ruby-1.8.7_p22 (29 Jun 2008)
766
767 29 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7.ebuild,
768 +ruby-1.8.7_p22.ebuild:
769 bump 1.8.7 for security fix
770
771 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.6_p230.ebuild:
772 nevermind, don't bump this yet
773
774*ruby-1.8.6_p230 (20 Jun 2008)
775
776 20 Jun 2008; Caleb Tennis <caleb@gentoo.org> +ruby-1.8.6_p230.ebuild:
777 version bump
778
779*ruby-1.8.7 (10 Jun 2008)
780
781 10 Jun 2008; Caleb Tennis <caleb@gentoo.org> -ruby-1.8.7_pre2.ebuild,
782 +ruby-1.8.7.ebuild:
783 bump 1.8.7 to final
784
785*ruby-1.8.7_pre2 (21 Apr 2008)
786
787 21 Apr 2008; Richard Brown <rbrown@gentoo.org> -ruby-1.8.7_pre1.ebuild,
788 +ruby-1.8.7_pre2.ebuild:
789 Version Bump
790
791*ruby-1.8.7_pre1 (16 Apr 2008)
792
793 16 Apr 2008; Richard Brown <rbrown@gentoo.org> +ruby-1.8.7_pre1.ebuild:
794 Version bump. Drop cjk until a new version of oniguruma appears.
795
796 06 Mar 2008; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p114.ebuild:
797 amd64 stable, bug 212264
798
799 06 Mar 2008; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p114.ebuild:
800 Stable for HPPA (bug #212264).
801
802 05 Mar 2008; Tobias Scherbaum <dertobi123@gentoo.org>
803 ruby-1.8.6_p114.ebuild:
804 ppc stable, bug #212264
805
806 05 Mar 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p114.ebuild:
807 alpha/ia64 stable wrt #212264
808
809 05 Mar 2008; Christian Faulhammer <opfer@gentoo.org>
810 ruby-1.8.6_p114.ebuild:
811 stable x86, security bug 212264
812
813 05 Mar 2008; Ferris McCormick <fmccor@gentoo.org> ruby-1.8.6_p114.ebuild:
814 Sparc stable, Security Bug #212264, builds and installs, initial tests run
815 as expected.
816
817 05 Mar 2008; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p114.ebuild:
818 Marking ruby-1.8.6_p114 ppc64 for bug 212264
819
820*ruby-1.8.6_p114 (05 Mar 2008)
821
822 05 Mar 2008; Richard Brown <rbrown@gentoo.org>
823 -files/ruby-1.8.4-glibc24-eaccess.diff, -files/ruby-1.8.4-yaml.diff,
824 -files/ruby-1.8.5_p113-net-http-p114.patch, -ruby-1.8.4-r3.ebuild,
825 -ruby-1.8.5_p113.ebuild, +ruby-1.8.6_p114.ebuild:
826 Version bump for #212264. Remove old ebuilds.
827
828 17 Feb 2008; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
829 alpha/ia64 stable wrt #208916
830
831 17 Feb 2008; nixnut <nixnut@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
832 Stable on ppc wrt bug 208916
833
834 16 Feb 2008; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
835 x86 stable, bug #208916
836
837 16 Feb 2008; Ferris McCormick <fmccor@gentoo.org>
838 ruby-1.8.6_p111-r1.ebuild:
839 Sparc stable --- Bug #208916 --- working well for about 6 weeks.
840
841 15 Feb 2008; Richard Brown <rbrown@gentoo.org>
842 -files/ruby-1.8.6-exit-status.patch,
843 -files/ruby-1.8.6_p110-net-http-p111.patch,
844 -files/ruby-1.8.6_p36-rb_thread_status_prototype.patch,
845 -ruby-1.8.5_p2-r1.ebuild, -ruby-1.8.6-r1.ebuild,
846 -ruby-1.8.6_p110-r1.ebuild, -ruby-1.8.6_p110-r2.ebuild:
847 Remove old versions
848
849 05 Feb 2008; Markus Rothe <corsair@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
850 Stable on ppc64
851
852 26 Dec 2007; Peter Weller <welp@gentoo.org> ruby-1.8.6_p111.ebuild:
853 Stable on amd64; bug 199191
854
855 24 Dec 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p111.ebuild:
856 alpha/ia64/sparc stable wrt #199191
857
858 24 Dec 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
859 Remove now-obsolete warning about coreutils versions, #203156.
860
861 24 Dec 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p111-r1.ebuild:
862 Stable for HPPA (bug #199191).
863
864*ruby-1.8.6_p111-r1 (23 Dec 2007)
865
866 23 Dec 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p111-r1.ebuild:
867 Remove dependencies on system packages. Add berkdb (bug #199705), gdbm and
868 ssl USE flags. Patch to p113.
869
870 23 Dec 2007; Brent Baude <ranger@gentoo.org> ruby-1.8.6_p111.ebuild:
871 Marking ruby-1.8.6_p111 ppc and ppc64 for bug 199191
872
873 23 Dec 2007; Markus Meier <maekke@gentoo.org> ruby-1.8.6_p111.ebuild:
874 x86 stable, security bug #199191
875
876*ruby-1.8.6_p111 (23 Dec 2007)
877
878 23 Dec 2007; Richard Brown <rbrown@gentoo.org>
879 +files/ruby-1.8.6_p111-r13657.patch, +ruby-1.8.6_p111.ebuild:
880 Version bump with patch for bug #199191
881
882 14 Dec 2007; Ulrich Mueller <ulm@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
883 Move dependency on (X)Emacs modes to PDEPEND.
884
885 25 Oct 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.6_p110-r2.ebuild:
886 Add back ~hppa keyword now that XEmacs support files have been keyworded,
887 bug 196413
888
889*ruby-1.8.6_p110-r2 (21 Oct 2007)
890
891 21 Oct 2007; Hans de Graaff <graaff@gentoo.org>
892 +ruby-1.8.6_p110-r2.ebuild:
893 Add emacs and xemacs USE flags and use them to pull in the correct editing
894 mode for each. Had to drop several arch keywords as reported on bug 196413.
895
896 13 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
897 amd64 stable, security bug 194236
898
899 11 Oct 2007; Markus Rothe <corsair@gentoo.org> ruby-1.8.5_p113.ebuild,
900 ruby-1.8.6_p110-r1.ebuild:
901 Stable on ppc64; bug #194236
902
903 09 Oct 2007; Steve Dibb <beandog@gentoo.org> ruby-1.8.6-r1.ebuild:
904 amd64 stable, security bug 194236
905
906 08 Oct 2007; Jeroen Roovers <jer@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
907 Stable for HPPA (bug #194236).
908
909 08 Oct 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6_p110-r1.ebuild:
910 alpha/ia64/sparc stable wrt security #194236
911
912 07 Oct 2007; Tobias Scherbaum <dertobi123@gentoo.org>
913 ruby-1.8.6_p110-r1.ebuild:
914 ppc stable, bug #194236
915
916 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
917 ruby-1.8.6_p110-r1.ebuild:
918 stable x86, security bug 194236
919
920 07 Oct 2007; Christian Faulhammer <opfer@gentoo.org>
921 ruby-1.8.5_p113.ebuild:
922 stable x86, security bug 194236
923
924 07 Oct 2007; Richard Brown <rbrown@gentoo.org> -ruby-1.8.5_p35.ebuild,
925 -ruby-1.8.6_p36-r3.ebuild, -ruby-1.8.6_p36-r4.ebuild,
926 -ruby-1.8.6_p110.ebuild:
927 Remove old versions
928
929*ruby-1.8.6_p110-r1 (30 Sep 2007)
930*ruby-1.8.5_p113 (30 Sep 2007)
931
932 30 Sep 2007; Richard Brown <rbrown@gentoo.org>
933 +files/ruby-1.8.5_p113-net-http-p114.patch,
934 +files/ruby-1.8.6_p110-net-http-p111.patch, +ruby-1.8.5_p113.ebuild,
935 +ruby-1.8.6_p110-r1.ebuild:
936 Fix bug #194236. Bump 1.8.6 to p111 as p110-r1. Bump 1.8.5 to p114 as p113,
937 using 1.8.6-p110 as base ebuild.
938
939 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
940 More fixes from gentoo-dev and graaff
941
942 24 Sep 2007; Richard Brown <rbrown@gentoo.org> ruby-1.8.6_p110.ebuild:
943 Implement suggestions from http://archives.gentoo.org/gentoo-dev/msg_147875.xml
944
945*ruby-1.8.6_p110 (24 Sep 2007)
946
947 24 Sep 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p110.ebuild:
948 Version bump
949
950*ruby-1.8.6_p36-r4 (26 Aug 2007)
951
952 26 Aug 2007; Nguyễn Thái Ngọc Duy <pclouds@gentoo.org>
953 +ruby-1.8.6_p36-r4.ebuild:
954 Use user LDFLAGS, #181436
955
956 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> ruby-1.8.4-r3.ebuild,
957 ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p35.ebuild:
958 MANIFEST was already gone in ruby 1.8.4, so remove it also from the old
959 ebuilds, including the currently stable 1.8.5_p2-r1, #189241.
960
961 17 Aug 2007; Hans de Graaff <graaff@gentoo.org> -ruby-1.8.5_p2.ebuild,
962 -ruby-1.8.5_p12.ebuild, -ruby-1.8.6_p36-r1.ebuild,
963 -ruby-1.8.6_p36-r2.ebuild:
964 Remove some older versions that will not be promoted to stable, keeping at
965 least one version of each release.
966
967 05 Jul 2007; Piotr Jaroszyński <peper@gentoo.org>
968 ruby-1.8.6_p36-r3.ebuild:
969 (QA) RESTRICT clean up.
970
971*ruby-1.8.6_p36-r3 (04 Jul 2007)
972
973 04 Jul 2007; Mike Doty <kingtaco@gentoo.org>
974 +files/ruby-1.8.6-memory-leak.diff, +ruby-1.8.6_p36-r3.ebuild:
975 fixed memory leak loading .so bug #182946
976
977 02 Jul 2007; Piotr Jaroszyński <peper@gentoo.org> ruby-1.8.4-r3.ebuild,
978 ruby-1.8.5_p2.ebuild, ruby-1.8.5_p2-r1.ebuild, ruby-1.8.5_p12.ebuild,
979 ruby-1.8.5_p35.ebuild, ruby-1.8.6-r1.ebuild, ruby-1.8.6_p36-r1.ebuild,
980 ruby-1.8.6_p36-r2.ebuild:
981 (QA) RESTRICT clean up.
982
983 21 Jun 2007; Fernando J. Pereda <ferdy@gentoo.org> ruby-1.8.6-r1.ebuild:
984 Re-add stable keyword for alpha as per bug #181110
985
986 21 Jun 2007; Christoph Mende <angelos@gentoo.org> ruby-1.8.6-r1.ebuild:
987 Back to ~amd64 wrt bug 181110
988
989 21 Jun 2007; Raúl Porcel <armin76@gentoo.org> ruby-1.8.6-r1.ebuild:
990 Mark 1.8.6 unstable on alpha/ia64/x86 wrt #181110
4 991
5*ruby-1.8.6_p36-r2 (20 Jun 2007) 992*ruby-1.8.6_p36-r2 (20 Jun 2007)
6 993
7 20 Jun 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p36-r2.ebuild: 994 20 Jun 2007; Richard Brown <rbrown@gentoo.org> +ruby-1.8.6_p36-r2.ebuild:
8 Re-add cjk USE flag, thanks to Hannes Wyss, bug #182671 995 Re-add cjk USE flag, thanks to Hannes Wyss, bug #182671

Legend:
Removed from v.1.285  
changed lines
  Added in v.1.505

  ViewVC Help
Powered by ViewVC 1.1.20